LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleContext2 Interface Reference

Implement this interface for exposing more aspects of a class's content. More...

`import"XAccessibleContext2.idl";`

Inheritance diagram for XAccessibleContext2:

## Public Member Functions
string | getAccessibleId ()
| Return the object's identifier. More...
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface for exposing more aspects of a class's content.

This is an extension of XAccessibleContext to add getAccessibleId().

Since
  LibreOffice 6.3

## Member Function Documentation

## ◆ getAccessibleId()

string getAccessibleId | ( |  | ) |

Return the object's identifier.

This is not meant to be presented to the user, but to be an ID which is stable over application development. Typically, this is the gtkbuilder ID. Such an ID can then be used to identify a given well-known accessible object independently from the current locale, user-visible labelling, or dialog structure. This can then be used for tailored screen reading (e.g. automatically announcing the content of a well-known object), or for automatic regression testing (to check the behavior of well-known objects). Uniqueness within the window is thus desirable when returning a non-empty string.

Returns
  The returned string is the object's identifier.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleContext2.idl